Module
Keywords: micromod.Module class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## micromod
Class Module

    java.lang.Object
      micromod.Module

public class Module
extends java.lang.Object

A class representing a ProTracker/NoiseTracker/FTK module,

Field Summary
`protected boolean` | `allowsPanning`
`protected Instrument[]` | `instruments`
`protected java.lang.String` | `name`
`protected boolean` | `pal`
`protected Sequence` | `sequence`
`protected java.lang.String` | `type`

Constructor Summary
`Module(java.lang.String name, java.lang.String type, boolean allowsPanning, boolean pal, Sequence sequence, Instrument[] instruments)`

Method Summary
`boolean` | `allowsPanning()`
`int` | `getDefaultGain()`
`Instrument` | `getInstrument(int num)`
`java.lang.String` | `getName()`
`Sequence` | `getSequence()`
`java.lang.String` | `getType()`
`boolean` | `isPAL()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### type

    protected java.lang.String type

### allowsPanning

    protected boolean allowsPanning

### pal

    protected boolean pal

### sequence

    protected Sequence sequence

### instruments

    protected Instrument[] instruments

Constructor Detail

### Module

    public Module(java.lang.String name,
                  java.lang.String type,
                  boolean allowsPanning,
                  boolean pal,
                  Sequence sequence,
                  Instrument[] instruments)

Method Detail

### getName

    public java.lang.String getName()

### getType

    public java.lang.String getType()

### getSequence

    public Sequence getSequence()

### getInstrument

    public Instrument getInstrument(int num)

### getDefaultGain

    public int getDefaultGain()

### allowsPanning

    public boolean allowsPanning()

### isPAL

    public boolean isPAL()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD